Page MenuHomePhabricator

[Story] Enforce uniqueness of property aliases
Open, NormalPublic1 Story Points

Description

Currently, wikibase enforces that the labels of Properties are unique (per language).
In the same way, all aliases defined for a Property should be unique.

Event Timeline

daniel created this task.Feb 16 2015, 5:04 PM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to Needs Triage.
daniel added a project: Wikidata.
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2015, 5:04 PM
Lydia_Pintscher triaged this task as High priority.Feb 16 2015, 5:22 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Bene added a subscriber: Bene.Apr 14 2015, 7:42 PM
Bene added a comment.Jun 2 2015, 12:53 PM

This opens a lot of use cases and is perhaps required for proper infobox support in Wikipedias. Often the label in the left column isn't exactly the one which is assigned to the property on Wikidata. Allowing to find properties by aliases would solve this issue in most cases and aliases being unique is a requirement for this.

Btw I've created a SPARQL query to find aliases which are used more than once. https://www.mediawiki.org/wiki/Wikibase/Indexing/SPARQL_Query_Examples#Aliases_of_properties_which_are_used_more_than_once

daniel awarded a token.Jun 2 2015, 1:49 PM

Beware potential performance issues when checking for uniqueness wrt queries to the wb_terms table.

Adding Sjoerd and Andy for information. This will mean a few properties will have to have aliases removed. But if we want to make it possible to use not only labels but also aliases in the property parser function then we'll have to do this.

Pigsonthewing added a comment.EditedJun 4 2015, 12:13 PM

Thank you for the notification. Having looked at the examples produced by the query shown above, I am concerned that removing some my impact usability for people editing or adding to Wikidata manually.

At the very least, we will need to think about suffixing new aliases, so that typing the current stings (e.g. instead of using "child of", twice, we should create "child of (father)"/child of (mother)")

Bene added a comment.Jun 4 2015, 12:15 PM

As written above, this query lists all aliases which are used more than once (english only, replace "en" by any other language code to check those languages as well): http://tinyurl.com/nf9uyks

Edit conflict as I modified my last comment; sorry Bene ;-)

Bene added a comment.Jun 4 2015, 12:22 PM

At the very least, we will need to think about suffixing new aliases, so that typing the current stings (e.g. instead of using "child of", twice, we should create "child of (father)"/child of (mother)")

That sounds like a great idea. I really like that.

Furthermore, we have to make sure that no conflicts exist when this change reaches production so that there won't be any uneditable properties like there were after the last constraint change.

daniel claimed this task.Jun 10 2015, 10:05 AM
daniel closed this task as Resolved.Jun 18 2015, 7:06 PM
Lydia_Pintscher reopened this task as Open.Jul 3 2015, 4:36 PM

Reopening because of revert.

Ricordisamoa added a subscriber: Ricordisamoa.
Jonas renamed this task from Enforce uniqueness of property aliases to [Story] Enforce uniqueness of property aliases.Sep 10 2015, 1:40 PM
Addshore lowered the priority of this task from High to Normal.Oct 30 2018, 4:23 PM